%global pkgvers 0
%global scdate0 20250519
%global schash0 ce4d24392899cc7422b520d2d5d0e31b02124ca3
%global branch0 master
%global source0 https://github.com/enjoy-digital/litejesd204b.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           litex-litejesd204b
Version:        2024.12
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        A small footprint and configurable JESD204B core
License:        BSD
BuildArch:      noarch

URL:            https://github.com/enjoy-digital/litejesd204b

BuildRequires:  git python3-devel python3-setuptools

Requires:       %{name}-python3 = %{version}-%{release}

%global _python_dist_allow_version_zero 1

%description
LiteJESD204B provides a small footprint and configurable JESD204B core.

%package        python3
Summary:        %{summary}
Requires:       litex-python3
Provides:       litejesd204b

%description    python3
LiteJESD204B provides a small footprint and configurable JESD204B core.

%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%{py3_build}


%install
%{py3_install}


%files python3
%doc README.md
%license LICENSE
%{python3_sitelib}/*


%changelog
* Thu Nov 18 2021 Cristian Balint <cristian.balint@gmail.com>
- initial release
